Connecting to SNiFF+

Function

SNiFFACCESS si_open(char* session, char*host)
Description
opens a connection to a running SNiFF+
Return Value

SNiFFACCESS | :must be given as a parameter for each access function

Parameter

char * host | :string that gives the name of the machine where sniffapi is running. When host is set to NULL, the local host is used. This parameter is not yet implemented to run on a remote host
char * session | :the SNiFF+ session represented in the SNiFF+ Log window. When session is set to NULL , then session0 is assumed

| Note
| SNiFF+ must be up and running for the API connection to work.